### Custom bash script for
### SmartStart Scripting Toolkit for Linux v1.8
### October 2007
### JimmyV

clear
echo -e "*** Upgrading System Firmware! ***"
echo -e "*** Please be patient for a few minutes ***\n"

# Mount writable NFS area to save log informtion
# if log information is not needed comment these lines along with the two
# cp commands near 45

mkdir -p ${RAM_PROFILE_DIR} &>/dev/null
mount -t nfs ${NFS_SERVER_IP}:${NFS_PROFILE_DIR} ${RAM_PROFILE_DIR} -o rw,nolock,sync
mkdir -p ${RAM_PROFILE_DIR}/${SERIAL_ID}/hp_sum

cd ${FIRMWARE_DIR}

# hpsum taken from the HP Firmware CD
# view README in the firmware directory for 
# configuration and usage

./hpsum -s

export HPSUMOUT=$?

    if [ ${HPSUMOUT} = 0 ]; then
	echo -e "  -The installation was successful.\n"
    fi
    if [ ${HPSUMOUT} = 1 ]; then
	echo -e "  -The installation was successful,\n   but a reboot is required.\n"
    fi
    if [ ${HPSUMOUT} = 3 ]; then
	echo -e "  -The component was current or not required.\n"
    fi
    if [ ${HPSUMOUT} = -1 ]; then
	echo -e "  -A general failure occurred.\n   See the error log for details.\n"
    fi
    if [ ${HPSUMOUT} = -2 ]; then
	echo -e "  -A bad input parameter was encountered.\n"
    fi
    if [ ${HPSUMOUT} = -3 ]; then
	echo -e "  -The installation of the component failed.\n"
    fi
    
cp -r /tmp/hp_sum/* ${RAM_PROFILE_DIR}/${SERIAL_ID}/hp_sum    
cp -r /var/log/hp/* ${RAM_PROFILE_DIR}/${SERIAL_ID}/hp_sum    

echo -e "  -HPSUM has finished"
echo -e "  -Sleeping 60 seconds to allow system to reset....."
## most updates will take effect during next reboot
sleep 60s

